brlapi_packet_t(3)

NAME
brlapi_packet_t

SYNOPSIS

#include <brlapi_protocol.h>

  Data Fields
unsigned char data [BRLAPI_MAXPACKETSIZE]
brlapi_versionPacket_t version
brlapi_authClientPacket_t authClient
brlapi_authServerPacket_t authServer
brlapi_errorPacket_t error
brlapi_getDriverSpecificModePacket_t getDriverSpecificMode
brlapi_writeArgumentsPacket_t writeArguments
brlapi_paramValuePacket_t paramValue
brlapi_paramRequestPacket_t paramRequest
uint32_t uint32

Detailed Description

Type for packets. Should be used instead of a mere char[], since it has correct alignment requirements.

Author

Generated automatically by Doxygen for BrlAPI from the source code.